Bug 845162 - MySQL status hook does not correctly show true status
MySQL status hook does not correctly show true status
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Ram Ranganathan
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 23:49 EDT by Rajat Chopra
Modified: 2015-05-14 18:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:42:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rajat Chopra 2012-08-01 23:49:50 EDT
Description of problem:
Mysql status is wrong

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create an app with mysql embedded
2. Kill the mysql process by ssh-ing into the gear
3. check status from cli tools
  
Actual results:
mysql is running

Expected results:
mysql should appear as stopped or inaccessible


Additional info:

In status function of the mysql_ctl file :
The pid file is executed directly instead reading its contents
And the runcon set for finding out if mysql_safe is running is insufficient for pgrep (should use user's uid as well)
Comment 1 Ram Ranganathan 2012-08-02 00:43:00 EDT
Fixed with git commit 9183866fe72a1cd839b9a95cbe5dd3610c057d30. Waiting to push this out.
Comment 2 Ram Ranganathan 2012-08-02 13:39:23 EDT
Issued a pull request : https://github.com/openshift/crankcase/pull/324 for this fix -- awaiting bot build results.
Comment 3 Rajat Chopra 2012-08-02 16:35:45 EDT
Pull request for stage hotfix : https://github.com/openshift/crankcase/pull/327
Comment 4 Rony Gong 2012-08-03 00:33:20 EDT
Verified for mongodb and mysql on stg_228.
[root@localhost mytest]# rhc app cartridge status  -a qs1jbossas -c mongodb-2.0
Password: 


RESULT:
MongoDB is stopped

Note You need to log in before you can comment on or make changes to this bug.